KUBERNETES(1)

NAME

kubeadm upgrade node config - Downloads the kubelet configuration from the cluster ConfigMap kubelet-config-1.X, where X is the minor version of the kubelet.

SYNOPSIS

kubeadm upgrade node config [OPTIONS]

DESCRIPTION

Downloads the kubelet configuration from a ConfigMap of the form "kubelet-config-1.X" in the cluster, where X is the minor version of the kubelet. kubeadm uses the --kubelet-version parameter to determine what the desired kubelet version is. Give

OPTIONS

--dry-run=false
    Do not change any state, just output the actions that would be performed.

--kubeconfig="/etc/kubernetes/admin.conf"
    The kubeconfig file to use when talking to the cluster. If the flag is not set, a set of standard locations can be searched for an existing kubeconfig file.

--kubelet-version=""
    The desired version for the kubelet after the upgrade.

OPTIONS INHERITED FROM PARENT COMMANDS

--azure-container-registry-config=""
    Path to the file containing Azure container registry configuration information.

--log-flush-frequency=5s
    Maximum number of seconds between log flushes

--rootfs=""
    [EXPERIMENTAL] The path to the 'real' host root filesystem.

--version=false
    Print version information and quit

EXAMPLE

      # Downloads the kubelet configuration from the ConfigMap in the cluster. Uses a specific desired kubelet version.
      kubeadm upgrade node config --kubelet-version 1.14.0

      # Simulates the downloading of the kubelet configuration from the ConfigMap in the cluster with a specific desired
      # version. Does not change any state locally on the node.
      kubeadm upgrade node config --kubelet-version 1.14.0 --dry-run

SEE ALSO

kubeadm-upgrade-node(1),

HISTORY

January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!